NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.MidSurfaceByFacePairsBuilder Class Reference

Represents a NXOpen.Features.MidSurfaceByFacePairs builder More...

Inheritance diagram for NXOpen.Features.MidSurfaceByFacePairsBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  PairingStrategyType { Progressive, Thickness, Manual }
 pairing strategy More...
 
enum  SurfaceType {
  Standard, Side1, Offset, CloudOfPoints,
  Large
}
 midsurface options More...
 
enum  TrimmingOptionType { AdvancedTrimming, BodyBasedTrimming, TrimtoSide1withNoExtension, SkipTrimming }
 trimming options More...
 

Public Member Functions

unsafe void AutoPopulateSideTwo ()
 Automatically populate side two faces More...
 
unsafe NXOpen.Features.Feature[] CreateFacePair ()
 Create or edit a face pair from selected side1 and side2 faces More...
 
unsafe void DeleteFacePair (NXOpen.NXObject[] facePairs)
 Deletes the face pair More...
 
unsafe void MergeFacePairs (NXOpen.NXObject[] facePairs)
 Merges the face pairs More...
 
unsafe void ModifyMidsurface (NXOpen.Features.MidSurfaceByFacePairsBuilder.SurfaceType surfaceOption, NXOpen.NXObject[] facePairs)
 Use cloud of points to generate neutral sheet More...
 
unsafe void ReverseFacePair (NXOpen.NXObject[] facePairs)
 Reverse face pair More...
 
unsafe void SetupFacePairInContext (NXOpen.Features.Feature facePair)
 Set face pair to edit More...
 
unsafe void Trim (NXOpen.Features.MidSurfaceByFacePairsBuilder.TrimmingOptionType trimmingOption, NXOpen.NXObject[] facePairs)
 Trim the face pairs More...
 
unsafe void ValidateSelection (int selectionType)
 Validate and filter out invalid items from the selection list More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AutoPopulateSideTwoOption [get, set]
 Returns or sets the auto populate side two faces option More...
 
unsafe NXOpen.SelectBodyList BodySelection [get]
 Returns the solid bodies for midsurface definition More...
 
unsafe bool HideBodyOption [get, set]
 Returns or sets the hide solid body option More...
 
unsafe NXOpen.ScCollector IgnoreFaceSelection [get]
 Returns the ignore face selection More...
 
unsafe double MergeAngleTolerance [get, set]
 Returns or sets the merge angle tolerance More...
 
unsafe
NXOpen.Features.MidSurfaceByFacePairsBuilder.PairingStrategyType 
PairingStrategy [get, set]
 Returns or sets the pairing strategy used by automatic pairs More...
 
unsafe NXOpen.Expression SearchDistance [get]
 Returns the search distance to be used when searching for side 2 faces More...
 
unsafe NXOpen.SelectBodyList SheetSelection [get]
 Returns the user defined sheet selection More...
 
unsafe NXOpen.ScCollector SideOneSelection [get]
 Returns the side one faces for manual pair More...
 
unsafe NXOpen.ScCollector SideTwoSelection [get]
 Returns the side two faces for manual pair More...
 
unsafe double ThicknessRatio [get, set]
 Returns or sets the dt ratio for ignoring small features More...
 
unsafe NXOpen.Expression ThicknessValue [get]
 Returns the thickness value when pairing strategy is set to Thickness More...
 
unsafe
NXOpen.Features.MidSurfaceByFacePairsBuilder.TrimmingOptionType 
TrimmingOption [get, set]
 Returns or sets the trimming option More...
 
unsafe bool UpdateOption [get, set]
 Returns or sets the immediate update More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
UserDefinedMidSurfaceSelection [get]
 Returns the user defined sheet selection. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.MidSurfaceByFacePairs builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMidSurfaceByFacePairsBuilder

Default values.

Property Value

AutoPopulateSideTwoOption

0

HideBodyOption

0

MergeAngleTolerance

5

PairingStrategy

Progressive

SearchDistance.Value

2.0 (millimeters part), 0.078 (inches part)

ThicknessRatio

0.1

ThicknessValue.Value

2.0 (millimeters part), 0.078 (inches part)

TrimmingOption

AdvancedTrimming

Created in NX7.5.0

Member Enumeration Documentation

pairing strategy

Enumerator
Progressive 

Progressive thickness is used

Thickness 

Find all faces within search distance

Manual 

Manual pairing process

midsurface options

Enumerator
Standard 

Default surface creation method

Side1 

Use side 1 faces as mid sheet

Offset 

Use offset

CloudOfPoints 

Cloud of points

Large 

Use single largest surface

trimming options

Enumerator
AdvancedTrimming 

Advanced trimming

BodyBasedTrimming 

Body based trimming

TrimtoSide1withNoExtension 

Trim to master

SkipTrimming 

Skip trimming for replacement sheets

Member Function Documentation

unsafe void NXOpen.Features.MidSurfaceByFacePairsBuilder.AutoPopulateSideTwo ( )
inline

Automatically populate side two faces

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.Feature [] NXOpen.Features.MidSurfaceByFacePairsBuilder.CreateFacePair ( )
inline

Create or edit a face pair from selected side1 and side2 faces

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe void NXOpen.Features.MidSurfaceByFacePairsBuilder.DeleteFacePair ( NXOpen.NXObject[]  facePairs)
inline

Deletes the face pair

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
facePairsPairs to be deleted
unsafe void NXOpen.Features.MidSurfaceByFacePairsBuilder.MergeFacePairs ( NXOpen.NXObject[]  facePairs)
inline

Merges the face pairs

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
facePairsPairs to be merged
unsafe void NXOpen.Features.MidSurfaceByFacePairsBuilder.ModifyMidsurface ( NXOpen.Features.MidSurfaceByFacePairsBuilder.SurfaceType  surfaceOption,
NXOpen.NXObject[]  facePairs 
)
inline

Use cloud of points to generate neutral sheet

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
surfaceOption
facePairsPairs to use cloud of points
unsafe void NXOpen.Features.MidSurfaceByFacePairsBuilder.ReverseFacePair ( NXOpen.NXObject[]  facePairs)
inline

Reverse face pair

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
facePairsPairs to be reversed
unsafe void NXOpen.Features.MidSurfaceByFacePairsBuilder.SetupFacePairInContext ( NXOpen.Features.Feature  facePair)
inline

Set face pair to edit

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
facePairFace pair to edit
unsafe void NXOpen.Features.MidSurfaceByFacePairsBuilder.Trim ( NXOpen.Features.MidSurfaceByFacePairsBuilder.TrimmingOptionType  trimmingOption,
NXOpen.NXObject[]  facePairs 
)
inline

Trim the face pairs

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
trimmingOption
facePairsPairs to be deleted
unsafe void NXOpen.Features.MidSurfaceByFacePairsBuilder.ValidateSelection ( int  selectionType)
inline

Validate and filter out invalid items from the selection list

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
selectionType0 - BodySelection, 1 - SideOneSelection, 2 - SideTwoSelection

Property Documentation

unsafe bool NXOpen.Features.MidSurfaceByFacePairsBuilder.AutoPopulateSideTwoOption
getset

Returns or sets the auto populate side two faces option

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectBodyList NXOpen.Features.MidSurfaceByFacePairsBuilder.BodySelection
get

Returns the solid bodies for midsurface definition

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.MidSurfaceByFacePairsBuilder.HideBodyOption
getset

Returns or sets the hide solid body option

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.MidSurfaceByFacePairsBuilder.IgnoreFaceSelection
get

Returns the ignore face selection

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Features.MidSurfaceByFacePairsBuilder.MergeAngleTolerance
getset

Returns or sets the merge angle tolerance

Created in NX8.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Features.MidSurfaceByFacePairsBuilder.PairingStrategyType NXOpen.Features.MidSurfaceByFacePairsBuilder.PairingStrategy
getset

Returns or sets the pairing strategy used by automatic pairs

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.MidSurfaceByFacePairsBuilder.SearchDistance
get

Returns the search distance to be used when searching for side 2 faces

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Features.MidSurfaceByFacePairsBuilder.SheetSelection
get

Returns the user defined sheet selection

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.MidSurfaceByFacePairsBuilder.SideOneSelection
get

Returns the side one faces for manual pair

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.MidSurfaceByFacePairsBuilder.SideTwoSelection
get

Returns the side two faces for manual pair

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Features.MidSurfaceByFacePairsBuilder.ThicknessRatio
getset

Returns or sets the dt ratio for ignoring small features

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.MidSurfaceByFacePairsBuilder.ThicknessValue
get

Returns the thickness value when pairing strategy is set to Thickness

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.MidSurfaceByFacePairsBuilder.TrimmingOptionType NXOpen.Features.MidSurfaceByFacePairsBuilder.TrimmingOption
getset

Returns or sets the trimming option

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.MidSurfaceByFacePairsBuilder.UpdateOption
getset

Returns or sets the immediate update

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.MidSurfaceByFacePairsBuilder.UserDefinedMidSurfaceSelection
get

Returns the user defined sheet selection.

A face, body or datum plane to define user defined midsurface

Created in NX10.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.